%define name	gourmet
%define version 0.8.5.12
%define release 1mdk

Name: 	 	%{name}
Summary: 	Recipe manager for the GNOME desktop
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/grecipe-manager/%{name}-%{version}.tar.bz2
URL:		http://grecipe-manager.sourceforge.net/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel metakit-python
Requires:	gnome-python pygtk2.0-libglade
Requires:	metakit-python python-imaging PyRTF
BuildArch:	noarch

%description
Gourmet allows you to collect, search and organize your recipes, and to
automatically generate shopping lists from your collection.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%find_lang %name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Gourmet" longtitle="Recipe Manager" section="More Applications/Databases"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 images/recbox.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 images/recbox.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 images/recbox.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc CHANGES MANIFEST PKG-INFO README TODO
%{_bindir}/%name
%{_libdir}/python*/site-packages/%name
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Sep 08 2005 Austin Acton <austin@mandriva.org> 0.8.5.12-1mdk
- New release 0.8.5.12

* Thu Aug 04 2005 Austin Acton <austin@mandriva.org> 0.8.5.9-1mdk
- New release 0.8.5.9

* Wed Jun 22 2005 Austin Acton <austin@mandriva.org> 0.8.5.3-1mdk
- New release 0.8.5.3

* Sun Jun 05 2005 Austin Acton <austin@mandriva.org> 0.8.5.0-1mdk
- New release 0.8.5.0

* Fri May 20 2005 Austin Acton <austin@mandriva.org> 0.8.4.4-1mdk
- New release 0.8.4.4

* Wed May 18 2005 Austin Acton <austin@mandriva.org> 0.8.4.3-1mdk
- New release 0.8.4.3

* Wed May 11 2005 Austin Acton <austin@mandriva.org> 0.8.4.1-1mdk
- New release 0.8.4.1

* Sun Apr 24 2005 Austin Acton <austin@mandriva.org> 0.8.3.4-1mdk
- New release 0.8.3.4
- locales

* Sun Apr 17 2005 Austin Acton <austin@mandrake.org> 0.8.3.3-1mdk
- New release 0.8.3.3

* Wed Apr 06 2005 Austin Acton <austin@mandrake.org> 0.8.3-1mdk
- New release 0.8.3

* Thu Mar 24 2005 Austin Acton <austin@mandrake.org> 0.8.2.1-1mdk
- 0.8.2.1

* Mon Mar 21 2005 Austin Acton <austin@mandrake.org> 0.8.2-2.1mdk
- 0.8.2-2

* Mon Mar 21 2005 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- New release 0.8.2

* Thu Mar 17 2005 Austin Acton <austin@mandrake.org> 0.8.1.2-1mdk
- New release 0.8.1.2

* Fri Mar 11 2005 Austin Acton <austin@mandrake.org> 0.8.0-1mdk
- 0.8.0
- source URL

* Sun Jan 10 2004 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- initial package
